summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_mock.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-07 19:43:33 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-07 19:43:33 +0100
commit40b8019f210d18fdd069ae57d5a651bfafc504e1 (patch)
treefec735617a7598dbc5c59266901727d7e1258ccd /bin/reproducible_setup_mock.sh
parentabe0eeb7e91a09932d93bbf2d341a990bd20be56 (diff)
downloadjenkins.debian.net-40b8019f210d18fdd069ae57d5a651bfafc504e1.tar.xz
reproducible: add job to configure mock for fedora23 on x86_64
Diffstat (limited to 'bin/reproducible_setup_mock.sh')
-rwxr-xr-xbin/reproducible_setup_mock.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/reproducible_setup_mock.sh b/bin/reproducible_setup_mock.sh
new file mode 100755
index 00000000..c404eecb
--- /dev/null
+++ b/bin/reproducible_setup_mock.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Copyright 2015 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+#
+# configures mock for a given distro and architecture
+#
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+if [ -z "$1" ] || [ -z "$2" ] ; then
+ echo "Need distro and architecture as params"
+ exit 1
+fi
+DISTRO=$1
+ARCHITECTURE=$2
+
+echo "$(date -u) - starting to configure mock for ${DISTRO} on ${ARCHITECTURE} now."
+sudo mock -r ${DISTRO}-${ARCHITECTURE} --init
+echo "$(date -u) - mock configured for ${DISTRO} on ${ARCHITECTURE} now."